#pragma once

#include "CoreMinimal.h"
#include "WwiseShareSetCookedData.h"
#include "WwiseLanguageCookedData.h"
#include "WwiseLocalizedShareSetCookedData.generated.h"

USTRUCT(BlueprintType)
struct FWwiseLocalizedShareSetCookedData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<FWwiseLanguageCookedData, FWwiseShareSetCookedData> ShareSetLanguageMap;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName DebugName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 ShareSetId;

public:
	WWISERESOURCELOADER_API FWwiseLocalizedShareSetCookedData();
};

FORCEINLINE uint32 GetTypeHash(const FWwiseLocalizedShareSetCookedData) { return 0; }
